## mx-dockmaker 20.4

=== debian/changelog ===
mx-dockmaker (20.4) mx; urgency=medium

  * new build with translations

 -- Adrian <adrian@mxlinux.org>  Tue, 14 Apr 2020 23:45:12 -0400

mx-dockmaker (0.20.2) mx; urgency=medium

  * initial release

 -- Adrian <adrian@mxlinux.org>  Thu, 06 Feb 2020 12:50:39 -0500

## mx-dockmaker 20.4.1

=== debian/changelog ===
mx-dockmaker (20.4.1) mx; urgency=medium

  * fix location buttons in case of localization
  * postinst replaces placeholder in menu-mx with mx-dockmaker command

 -- Adrian <adrian@mxlinux.org>  Thu, 16 Apr 2020 11:19:02 -0400

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=5

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-dockmaker.pro
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
	dh_auto_build

# Uncomment if building in Virtual Box
override_dh_shlibdeps:
	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info

%:
	dh $@ --parallel

## mx-dockmaker 20.4.2

=== debian/changelog ===
mx-dockmaker (20.4.2) mx; urgency=medium

  * add .mxdk default extension

 -- Adrian <adrian@mxlinux.org>  Sat, 25 Apr 2020 15:46:43 -0400

## mx-dockmaker 20.4.3

=== debian/changelog ===
mx-dockmaker (20.4.3) mx; urgency=medium

  * ignore sed error for postinst

 -- Adrian <adrian@mxlinux.org>  Sun, 26 Apr 2020 15:41:38 -0400

## mx-dockmaker 20.5

=== debian/changelog ===
mx-dockmaker (20.5) mx; urgency=medium

  * preserve script content when editing a dock
  * non-handled options should not create parsing problems
  * preserve extra not-handled options
  * add dock item in (Docks) not (Docks & launchers)

 -- Adrian <adrian@mxlinux.org>  Sat, 02 May 2020 17:50:31 -0400

## mx-dockmaker 25.12.1

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2017-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-dockmaker.
# *
# * mx-dockmaker is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-dockmaker is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-dockmaker.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

# Get version from debian/changelog
execute_process(
    COMMAND dpkg-parsechangelog -SVersion
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
    OUTPUT_STRIP_TRAILING_WHITESPACE
    RESULT_VARIABLE DPKG_RESULT
)

if(NOT DPKG_RESULT EQUAL 0)
    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
endif()

project(mx-dockmaker
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "MX DockMaker - Tool for creating custom dock/panel configurations for MX Linux"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    src/main.cpp
    src/mainwindow.cpp
    src/about.cpp
    src/cmd.cpp
    src/picklocation.cpp
)

set(HEADERS
    src/mainwindow.h
    src/about.h
    src/cmd.h
    src/picklocation.h
)

set(UI_FILES
    src/mainwindow.ui
    src/picklocation.ui
)

set(RESOURCE_FILES
    src/images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_executable(mx-dockmaker
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-dockmaker
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Set compiler flags
target_compile_options(mx-dockmaker PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-dockmaker PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-dockmaker PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-dockmaker PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-dockmaker PRIVATE NDEBUG)
    target_compile_options(mx-dockmaker PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-dockmaker PRIVATE -flto=thin)
        target_link_options(mx-dockmaker PRIVATE -flto=thin)
    else()
        target_compile_options(mx-dockmaker PRIVATE -flto=auto)
        target_link_options(mx-dockmaker PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-dockmaker
    TS_FILES ${TRANSLATION_FILES}
    QM_FILES_OUTPUT_VARIABLE qm_files
)

# Set target properties
set_target_properties(mx-dockmaker PROPERTIES
    OUTPUT_NAME "mx-dockmaker"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)

# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-dockmaker
    RUNTIME DESTINATION bin
)

## mx-dockmaker 20.6

=== debian/changelog ===
mx-dockmaker (20.6) mx; urgency=medium

  * remove -x option for wmalauncher command

 -- Adrian <adrian@mxlinux.org>  Mon, 29 Jun 2020 14:45:04 -0400

=== debian/control ===
Source: mx-dockmaker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9.2), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8

Package: mx-dockmaker
Architecture: any
Depends: xdg-utils | mx-viewer, ${misc:Depends}, ${shlibs:Depends}
Description: mx-dockmaker
 mx-dockmaker

## mx-dockmaker 20.8

=== debian/changelog ===
mx-dockmaker (20.8) mx; urgency=medium

  * open .mxdk files by right-clicking or by passing file name as argument
  * filter .mxdk files when deleting dock

 -- Adrian <adrian@mxlinux.org>  Sat, 29 Aug 2020 18:34:25 -0400

## mx-dockmaker 20.9

=== debian/changelog ===
mx-dockmaker (20.9) mx; urgency=medium

  * select icons with mouse click
  * fixed reloading icons on Next or Prev

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Sep 2020 15:31:28 -0400

## mx-dockmaker 20.9.1

=== debian/changelog ===
mx-dockmaker (20.9.1) mx; urgency=medium

  * added buttons to move icons

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Sep 2020 01:59:56 -0400

## mx-dockmaker 20.10

=== debian/changelog ===
mx-dockmaker (20.10) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 15 Oct 2020 11:06:54 -0400

## mx-dockmaker 20.11

=== debian/changelog ===
mx-dockmaker (20.11) mx; urgency=medium

  * search for dock name in /usr/share/...; replaced external grep with QRegularExpression
  * replaced external grep with QRegularExpression
  * add pkill wmalauncher at the begining of the script
  * add .conf file
  * prompt for new dock name in menu if not overwriting
  * fix inconsistencies enable/disable Save button * save slit location when not initially present in script

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Nov 2020 14:39:47 -0500

## mx-dockmaker 20.12

=== debian/changelog ===
mx-dockmaker (20.12) mx; urgency=medium

  * fix: stop crashing if icon file doesn't exist 

 -- Adrian <adrian@mxlinux.org>  Thu, 03 Dec 2020 12:05:00 -0500

## mx-dockmaker 21.2

=== debian/changelog ===
mx-dockmaker (21.2) mx; urgency=medium

  * improve icon search

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Feb 2021 11:04:41 -0500

## mx-dockmaker 21.2.01

=== debian/changelog ===
mx-dockmaker (21.2.01) mx; urgency=medium

  * update desktop file 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 Feb 2021 20:20:05 -0500

## mx-dockmaker 21.5

=== debian/changelog ===
mx-dockmaker (21.5) mx; urgency=medium

  * change menu location from ~/.fluxbox/menu-mx to ~/.fluxbox/submenus

 -- Adrian <adrian@mxlinux.org>  Sun, 09 May 2021 23:01:21 -0400

## mx-dockmaker 21.7

=== debian/changelog ===
mx-dockmaker (21.7) mx; urgency=medium

  * Faster icons search

 -- Adrian <adrian@mxlinux.org>  Sun, 18 Jul 2021 20:51:53 -0400

## mx-dockmaker 21.7.01

=== debian/changelog ===
mx-dockmaker (21.7.01) mx; urgency=medium

  * Fix icon search 

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Jul 2021 10:37:56 -0400

## mx-dockmaker 21.7.02

=== debian/changelog ===
mx-dockmaker (21.7.02) mx; urgency=medium

  * Open icons from /usr/share/icons or current folder

 -- Adrian <adrian@mxlinux.org>  Thu, 22 Jul 2021 11:43:41 -0400

## mx-dockmaker 21.10

=== debian/changelog ===
mx-dockmaker (21.10) mx; urgency=medium

  * Fix About window title

 -- Adrian <adrian@mxlinux.org>  Sat, 16 Oct 2021 18:53:18 -0400

## mx-dockmaker 22.7

=== debian/changelog ===
mx-dockmaker (22.7) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:25:30 -0400

mx-dockmaker (22.6) mx; urgency=medium

  * Fix crash when adding a menu and not entering a menu name

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 00:24:01 -0400

## mx-dockmaker 22.10

=== debian/changelog ===
mx-dockmaker (22.10) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:00:01 -0400

## mx-dockmaker 22.12

=== debian/changelog ===
mx-dockmaker (22.12) mx; urgency=medium

  * Add two more sizes for icons
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Dec 2022 16:58:38 -0500

## mx-dockmaker 23.5

=== debian/changelog ===
mx-dockmaker (23.5) mx; urgency=medium

  * Update logo
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 21:54:59 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9.2), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 
 Package: mx-dockmaker

## mx-dockmaker 23.5.01

=== debian/changelog ===
mx-dockmaker (23.5.01) mx; urgency=medium

  * Add color picker using hex values
  * Add "apply style to all" checkbox
  * Add hover colors

 -- Adrian <adrian@mxlinux.org>  Sat, 20 May 2023 19:50:24 -0400

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
 
 %:
-	dh $@ --parallel 
+	dh $@ --no-automatic-dbgsym --parallel

## mx-dockmaker 23.5.02

=== debian/changelog ===
mx-dockmaker (23.5.02) mx; urgency=medium

  * Change layout to make the window shorter

 -- Adrian <adrian@mxlinux.org>  Mon, 29 May 2023 12:39:54 -0400

## mx-dockmaker 23.5.03

=== debian/changelog ===
mx-dockmaker (23.5.03) mx; urgency=medium

  * Fix: setting icon for manual commands 

 -- Adrian <adrian@mxlinux.org>  Tue, 30 May 2023 18:59:15 -0400

## mx-dockmaker 23.7

=== debian/changelog ===
mx-dockmaker (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 16:35:23 -0400

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 override_dh_auto_build:
 	lrelease mx-dockmaker.pro
-	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/#define VERSION \"\1\"/" > version.h
+	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
 	dh_auto_build
 
 # Uncomment if building in Virtual Box

## mx-dockmaker 24.3

=== debian/changelog ===
mx-dockmaker (24.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 12:48:58 -0400

## mx-dockmaker 25.2

=== debian/changelog ===
mx-dockmaker (25.2) mx; urgency=medium

  * use lower case in desktop file

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sun, 16 Feb 2025 14:59:17 -0500

=== debian/control ===
Source: mx-dockmaker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/MX-Linux/mx-dockmaker

Package: mx-dockmaker
Architecture: any
Depends: xdg-utils | mx-viewer, ${misc:Depends}, ${shlibs:Depends}
Description: Dockmaker for MX Linux
 Easily create, modify, and manage docks on MX Fluxbox

## mx-dockmaker 25.5

=== debian/changelog ===
mx-dockmaker (25.5) mx; urgency=medium

  * Fix button order
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 May 2025 09:51:16 -0400

mx-dockmaker (25.4) mx; urgency=medium

  * Update to Qt6
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 10:32:04 -0400

=== debian/control ===
Source: mx-dockmaker
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-dockmaker
Homepage: https://github.com/MX-Linux/mx-dockmaker

Package: mx-dockmaker
Architecture: any
Depends: xdg-utils | mx-viewer,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Dock configuration tool for MX Linux
 MX DockMaker is a graphical utility that allows users to easily
 create, modify, and manage docks on MX Linux with Fluxbox. It provides
 a user-friendly interface for customizing dock appearance, adding
 applications, and configuring dock behavior without requiring manual
 editing of configuration files.

## mx-dockmaker 25.12.1

=== debian/changelog ===
mx-dockmaker (25.12.1) mx; urgency=medium

  * Add Tooltip edit option in UI
  * Fix quoting issue for command

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Dec 2025 10:06:27 -0500

mx-dockmaker (25.12) mx; urgency=medium

  * Handle commands with options (quote arguments)

 -- Adrian <adrian@mxlinux.org>  Wed, 10 Dec 2025 00:08:26 -0500

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,8 @@
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
 Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16),
+               ninja-build,
                qt6-base-dev,
                qt6-base-dev-tools,
                qt6-tools-dev,

## mx-dockmaker 25.12.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,14 @@
 # **********************************************************************/
 
 cmake_minimum_required(VERSION 3.16)
+
+# Option to use clang for testing builds - needs to be early so project() picks it up
+option(USE_CLANG "Use clang compiler" OFF)
+if(USE_CLANG)
+    set(CMAKE_C_COMPILER clang CACHE STRING "C compiler" FORCE)
+    set(CMAKE_CXX_COMPILER clang++ CACHE STRING "C++ compiler" FORCE)
+    message(STATUS "Using clang compiler")
+endif()
 
 # Get version from debian/changelog
 execute_process(
@@ -31,8 +39,10 @@
     RESULT_VARIABLE DPKG_RESULT
 )
 
-if(NOT DPKG_RESULT EQUAL 0)
-    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+# Fallback to a safe default when changelog parsing is unavailable
+if(NOT DPKG_RESULT EQUAL 0 OR PROJECT_VERSION_FROM_CHANGELOG STREQUAL "")
+    message(WARNING "Falling back to version 0.0.0 (dpkg-parsechangelog not available or failed)")
+    set(PROJECT_VERSION_FROM_CHANGELOG "0.0.0")
 endif()
 
 project(mx-dockmaker
@@ -72,6 +82,7 @@
     Core
     Gui
     Widgets
+    Test
     LinguistTools
 )
 
@@ -85,15 +96,24 @@
     src/main.cpp
     src/mainwindow.cpp
     src/about.cpp
-    src/cmd.cpp
     src/picklocation.cpp
+    src/dockconfiguration.cpp
+    src/dockfileparser.cpp
+    src/dockfilemanager.cpp
+    src/dockiconmanager.cpp
+    src/icondragdrophandler.cpp
 )
 
 set(HEADERS
     src/mainwindow.h
     src/about.h
-    src/cmd.h
     src/picklocation.h
+    src/dockiconinfo.h
+    src/dockconfiguration.h
+    src/dockfileparser.h
+    src/dockfilemanager.h
+    src/dockiconmanager.h
+    src/icondragdrophandler.h
 )
 
 set(UI_FILES
@@ -102,7 +122,7 @@
 )
 
 set(RESOURCE_FILES
-    src/images.qrc
+    images.qrc
 )
 
 # Get all translation files
@@ -140,6 +160,42 @@
     target_compile_options(mx-dockmaker PRIVATE -Werror=return-local-addr)
 endif()
 
+option(ENABLE_TESTS "Build unit tests" OFF)
+if(ENABLE_TESTS)
+    enable_testing()
+    add_executable(dockfileparser_test
+        tests/dockfileparser_test.cpp
+        src/dockfileparser.cpp
+        src/dockconfiguration.cpp
+        src/dockfileparser.h
+        src/dockconfiguration.h
+        src/dockiconinfo.h
+    )
+    set_target_properties(dockfileparser_test PROPERTIES AUTOMOC ON)
+    target_include_directories(dockfileparser_test PRIVATE src)
+    target_link_libraries(dockfileparser_test
+        Qt6::Core
+        Qt6::Gui
+        Qt6::Test
+    )
+    add_test(NAME dockfileparser_test COMMAND dockfileparser_test)
+
+    add_executable(deletion_test
+        tests/deletion_test.cpp
+        src/dockconfiguration.cpp
+        src/dockconfiguration.h
+        src/dockiconinfo.h
+    )
+    set_target_properties(deletion_test PROPERTIES AUTOMOC ON)
+    target_include_directories(deletion_test PRIVATE src)
+    target_link_libraries(deletion_test
+        Qt6::Core
+        Qt6::Gui
+        Qt6::Test
+    )
+    add_test(NAME deletion_test COMMAND deletion_test)
+endif()
+
 # Set compile definitions
 target_compile_definitions(mx-dockmaker PRIVATE
     QT_DEPRECATED_WARNINGS
@@ -165,6 +221,7 @@
 # Handle translations
 qt6_add_translations(mx-dockmaker
     TS_FILES ${TRANSLATION_FILES}
+    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
     QM_FILES_OUTPUT_VARIABLE qm_files
 )

=== debian/changelog ===
mx-dockmaker (25.12.5) mx; urgency=medium

  * Fix .desktop

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Dec 2025 10:24:32 -0500

mx-dockmaker (25.12.3) mx; urgency=medium

  * Remove buttons to move icons in the preview bar, rely in drag and
    drop
  * Extensive code refactoring and optimization

 -- Adrian <adrian@mxlinux.org>  Sat, 13 Dec 2025 21:27:29 -0500

mx-dockmaker (25.12.2) mx; urgency=medium

  * Sanitize tooltip entry
  * Fix minor GUI issues, fix going back to menu when exiting the main window
  * Add tooltip to the preview icons
  * Add drag & drop option to move icons
  * Change how the selected icon show, keep size but add a dotted border

 -- Adrian <adrian@mxlinux.org>  Thu, 11 Dec 2025 13:29:32 -0500

## mx-dockmaker 26.01

=== debian/changelog ===
mx-dockmaker (26.01) mx; urgency=medium

  * Fix parsing for -x, if after a --command is not interpreted as wmalauncher
    option anymore

 -- Adrian <adrian@mxlinux.org>  Mon, 19 Jan 2026 18:25:27 -0500

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 Package: mx-dockmaker
 Architecture: any
-Depends: xdg-utils | mx-viewer,
+Depends: xdg-utils | mx-viewer, wmalauncher
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Dock configuration tool for MX Linux
